#!/bin/bash

mkdir -p stl
mkdir -p img

SCAD="./takeup.scad"
PARTS=(
	"slip_coupling"
	"magnetic_coupling"
	"mount_plate"
	"daylight_spool_insert"
)

for part in "${PARTS[@]}"
do
   stl="./stl/takeup_${part}.stl"
   png="./img/takeup_${part}.png"
   openscad -o "${stl}" -D "PART=\"${part}\";" "${SCAD}"
   openscad -o "${png}" -D "PART=\"${part}\";" --imgsize=1024,1024 --colorscheme=DeepOcean "${SCAD}"
done

openscad --preview -o debug.png -D "PART=\"preview\";" "${SCAD}"